const {
    request
} = require("../func/request")
// 用户登录
const doLogin = (data) => {
    return request({
        url: '/api/login',
        data: data,
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
// 用户-用户详情
const doGetInfo = (data) => {
    return request({
        url: '/api/getInfo',
        data: data,
        method: 'get',
        type: 'application/x-www-form-urlencoded'
    })
}
// 用户-修改用户信息
const updateUserInfo = (data) => {
    return request({
        url: '/api/updateUserInfo',
        data: data,
        method: 'post',
        type: 'application/json'
    })
}
// 用户-修改用户密码
const updateUserPassword = (data) => {
  return request({
      url: '/api/updatePassword',
      data: data,
      method: 'post',
      type: 'application/json'
  })
}
module.exports = {
    doGetInfo,
    doLogin,
    updateUserInfo,
    updateUserPassword
}